Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.batchadapter.webservice
Class FTPSWSConfiguration

    java.lang.Object
      com.stc.connector.batchadapter.webservice.FTPSWSConfiguration

All Implemented Interfaces:
  com.stc.connector.persistence.bpel.PersistableData

    public class FTPSWSConfiguration

extends java.lang.Object
implements com.stc.connector.persistence.bpel.PersistableData

jim.fu@sun.com TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Constructor Summary
`FTPSWSConfiguration()`

Method Summary
`java.lang.String` | `getAllowOverwrite()`
`boolean` | `getAppend()`
`java.lang.String` | `getDirListStyle()`
`boolean` | `getFirewallEnabled()`
`java.lang.String` | `getFirewallPassword()`
`int` | `getFirewallPort()`
`java.lang.String` | `getFirewallServer()`
`java.lang.String` | `getFirewallUser()`
`java.lang.String` | `getFTPPassword()`
`int` | `getFTPPort()`
`java.lang.String` | `getFTPServer()`
`int` | `getFTPSSLPort()`
`java.lang.String` | `getFTPUser()`
`java.lang.String` | `getKeyAlias()`
`java.lang.String` | `getKeyAliasPassword()`
`java.lang.String` | `getKeyStoreLoc()`
`java.lang.String` | `getKeyStorePassword()`
`int` | `getKeyStoreType()`
`java.lang.String` | `getLocalDirectory()`
`java.lang.String` | `getLocalFile()`
`boolean` | `getPassive()`
`PostTransferParams` | `getPostTransfer()`
`PreTransferParams` | `getPreTransfer()`
`java.lang.String` | `getRemoteDirectory()`
`java.lang.String` | `getRemoteFile()`
`int` | `getSecureType()`
`java.lang.String` | `getServerAuth()`
`java.lang.String` | `getSocksVersion()`
`int` | `getTransferMode()`
`java.lang.String` | `getUserDN()`
`boolean` | `hasAllowOverwrite()`
`boolean` | `hasAppend()`
`boolean` | `hasDirListing()`
`boolean` | `hasDN4User()`
`boolean` | `hasFTPHost()`
`boolean` | `hasFTPPassword()`
`boolean` | `hasFTPPort()`
`boolean` | `hasFTPSSLPort()`
`boolean` | `hasFTPUser()`
`boolean` | `hasKeyAlias()`
`boolean` | `hasKeyAliasPassword()`
`boolean` | `hasKeyStoreLoc()`
`boolean` | `hasKeyStorePassword()`
`boolean` | `hasKeyStoreType()`
`boolean` | `hasLocalDir()`
`boolean` | `hasLocalFile()`
`boolean` | `hasPassive()`
`boolean` | `hasPostTrans()`
`boolean` | `hasPreTrans()`
`boolean` | `hasRemoteDir()`
`boolean` | `hasRemoteFile()`
`boolean` | `hasSecureType()`
`boolean` | `hasServerAuth()`
`boolean` | `hasSOCKSEnabled()`
`boolean` | `hasSOCKSHost()`
`boolean` | `hasSOCKSPassword()`
`boolean` | `hasSOCKSPort()`
`boolean` | `hasSOCKSUser()`
`boolean` | `hasSOCKSVersion()`
`boolean` | `hasTransferMode()`
`void` | `persist(com.stc.connector.persistence.bpel.DataOutput dout)` Persists this message.
`void` | `restore(com.stc.connector.persistence.bpel.DataInput din)` Restores this message.
`void` | `setAllowOverwrite(java.lang.String s)`
`void` | `setAppend(boolean b)`
`void` | `setDirListStyle(java.lang.String s)`
`void` | `setFirewallEnabled(boolean b)`
`void` | `setFirewallPassword(java.lang.String s)`
`void` | `setFirewallPort(int i)`
`void` | `setFirewallServer(java.lang.String s)`
`void` | `setFirewallUser(java.lang.String s)`
`void` | `setFTPPassword(java.lang.String s)`
`void` | `setFTPPort(int i)`
`void` | `setFTPServer(java.lang.String s)`
`void` | `setFTPSSLPort(int i)`
`void` | `setFTPUser(java.lang.String s)`
`void` | `setKeyAlias(java.lang.String s)`
`void` | `setKeyAliasPassword(java.lang.String s)`
`void` | `setKeyStoreLoc(java.lang.String s)`
`void` | `setKeyStorePassword(java.lang.String s)`
`void` | `setKeyStoreType(int i)`
`void` | `setLocalDirectory(java.lang.String s)`
`void` | `setLocalFile(java.lang.String s)`
`void` | `setPassive(boolean b)`
`void` | `setPostTransfer(PostTransferParams p)`
`void` | `setPreTransfer(PreTransferParams p)`
`void` | `setRemoteDirectory(java.lang.String s)`
`void` | `setRemoteFile(java.lang.String s)`
`void` | `setSecureType(int i)`
`void` | `setServerAuth(java.lang.String s)`
`void` | `setSocksVersion(java.lang.String s)`
`void` | `setTransferMode(int i)`
`void` | `setUserDN(java.lang.String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FTPSWSConfiguration

    public FTPSWSConfiguration()

Method Detail

### persist

    public void persist(com.stc.connector.persistence.bpel.DataOutput dout)
                 throws java.lang.Exception

  Persists this message.

  Specified by:
    `persist` in interface `com.stc.connector.persistence.bpel.PersistableData`
  Parameters:
    `dout` - The DataOutput to which the Java Bean message is persisted.
  Throws:
    `java.lang.Exception` - upon error.

### restore

    public void restore(com.stc.connector.persistence.bpel.DataInput din)
                 throws java.lang.Exception

  Restores this message.

  Specified by:
    `restore` in interface `com.stc.connector.persistence.bpel.PersistableData`
  Parameters:
    `dis` - The DataInput from which the Java Bean message is restored.
  Throws:
    `java.lang.Exception` - upon error.

### getRemoteDirectory

    public java.lang.String getRemoteDirectory()

### setRemoteDirectory

    public void setRemoteDirectory(java.lang.String s)

### getRemoteFile

    public java.lang.String getRemoteFile()

### setRemoteFile

    public void setRemoteFile(java.lang.String s)

### getLocalDirectory

    public java.lang.String getLocalDirectory()

### setLocalDirectory

    public void setLocalDirectory(java.lang.String s)

### getLocalFile

    public java.lang.String getLocalFile()

### getAllowOverwrite

    public java.lang.String getAllowOverwrite()

### setLocalFile

    public void setLocalFile(java.lang.String s)

### setAllowOverwrite

    public void setAllowOverwrite(java.lang.String s)

### getFirewallServer

    public java.lang.String getFirewallServer()

### setFirewallServer

    public void setFirewallServer(java.lang.String s)

### getFirewallPort

    public int getFirewallPort()

### setFirewallPort

    public void setFirewallPort(int i)

### getFirewallUser

    public java.lang.String getFirewallUser()

### setFirewallUser

    public void setFirewallUser(java.lang.String s)

### getFirewallPassword

    public java.lang.String getFirewallPassword()

### setFirewallPassword

    public void setFirewallPassword(java.lang.String s)

### getFirewallEnabled

    public boolean getFirewallEnabled()

### setFirewallEnabled

    public void setFirewallEnabled(boolean b)

### getFTPServer

    public java.lang.String getFTPServer()

### setFTPServer

    public void setFTPServer(java.lang.String s)

### getFTPPort

    public int getFTPPort()

### setFTPPort

    public void setFTPPort(int i)

### getFTPSSLPort

    public int getFTPSSLPort()

### setFTPSSLPort

    public void setFTPSSLPort(int i)

### getFTPUser

    public java.lang.String getFTPUser()

### setFTPUser

    public void setFTPUser(java.lang.String s)

### getSecureType

    public int getSecureType()

### setSecureType

    public void setSecureType(int i)

### getFTPPassword

    public java.lang.String getFTPPassword()

### setFTPPassword

    public void setFTPPassword(java.lang.String s)

### getAppend

    public boolean getAppend()

### setAppend

    public void setAppend(boolean b)

### getUserDN

    public java.lang.String getUserDN()

### setUserDN

    public void setUserDN(java.lang.String s)

### getKeyStoreLoc

    public java.lang.String getKeyStoreLoc()

### setKeyStoreLoc

    public void setKeyStoreLoc(java.lang.String s)

### getKeyStoreType

    public int getKeyStoreType()

### setKeyStoreType

    public void setKeyStoreType(int i)

### getKeyAlias

    public java.lang.String getKeyAlias()

### setKeyAlias

    public void setKeyAlias(java.lang.String s)

### getKeyAliasPassword

    public java.lang.String getKeyAliasPassword()

### setKeyAliasPassword

    public void setKeyAliasPassword(java.lang.String s)

### getKeyStorePassword

    public java.lang.String getKeyStorePassword()

### setKeyStorePassword

    public void setKeyStorePassword(java.lang.String s)

### getServerAuth

    public java.lang.String getServerAuth()

### setServerAuth

    public void setServerAuth(java.lang.String s)

### getDirListStyle

    public java.lang.String getDirListStyle()

### setDirListStyle

    public void setDirListStyle(java.lang.String s)

### getPassive

    public boolean getPassive()

### setPassive

    public void setPassive(boolean b)

### setSocksVersion

    public void setSocksVersion(java.lang.String s)

### getSocksVersion

    public java.lang.String getSocksVersion()

### getTransferMode

    public int getTransferMode()

### setTransferMode

    public void setTransferMode(int i)

### hasAppend

    public boolean hasAppend()

### hasDirListing

    public boolean hasDirListing()

### hasDN4User

    public boolean hasDN4User()

### hasFTPHost

    public boolean hasFTPHost()

### hasFTPPassword

    public boolean hasFTPPassword()

### hasFTPPort

    public boolean hasFTPPort()

### hasFTPSSLPort

    public boolean hasFTPSSLPort()

### hasFTPUser

    public boolean hasFTPUser()

### hasKeyAlias

    public boolean hasKeyAlias()

### hasKeyAliasPassword

    public boolean hasKeyAliasPassword()

### hasKeyStoreLoc

    public boolean hasKeyStoreLoc()

### hasKeyStorePassword

    public boolean hasKeyStorePassword()

### hasKeyStoreType

    public boolean hasKeyStoreType()

### hasLocalDir

    public boolean hasLocalDir()

### hasLocalFile

    public boolean hasLocalFile()

### hasAllowOverwrite

    public boolean hasAllowOverwrite()

### hasServerAuth

    public boolean hasServerAuth()

### hasPassive

    public boolean hasPassive()

### hasRemoteDir

    public boolean hasRemoteDir()

### hasRemoteFile

    public boolean hasRemoteFile()

### hasSecureType

    public boolean hasSecureType()

### hasSOCKSEnabled

    public boolean hasSOCKSEnabled()

### hasSOCKSHost

    public boolean hasSOCKSHost()

### hasSOCKSPassword

    public boolean hasSOCKSPassword()

### hasSOCKSPort

    public boolean hasSOCKSPort()

### hasSOCKSUser

    public boolean hasSOCKSUser()

### hasSOCKSVersion

    public boolean hasSOCKSVersion()

### hasTransferMode

    public boolean hasTransferMode()

### hasPostTrans

    public boolean hasPostTrans()

### hasPreTrans

    public boolean hasPreTrans()

### getPostTransfer

    public PostTransferParams getPostTransfer()

### setPostTransfer

    public void setPostTransfer(PostTransferParams p)

### getPreTransfer

    public PreTransferParams getPreTransfer()

### setPreTransfer

    public void setPreTransfer(PreTransferParams p)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD